<?php
namespace Teknisa\EST\Modules\Relatorios\Factories;

class Est32200ProdutosSemMovimentacao {

    protected $connection;

	public function __construct($entityManager) {
		$this->connection = $entityManager->getConnection();
	}

	public function selectItlanctoest($cdfilial,$cdalmoxarife,$cdlocalestoq,$nrloteestq,$nrsublote, $idtipomovi ,$cdproduto,$nrorg,$dtlimite) {
        $sql = "SELECT A.CDFILIAL,
				  MAX(A.NRLANCESTQ) AS NRLANCESTQ,
				  A.DTLANCMOVI,
				  A.IDTIPOMOVI
				FROM ITLANCTOEST A,
				  (SELECT MAX(C.DTLANCMOVI) DTLANCMOVI
				  FROM ITLANCTOEST C
				  WHERE (C.CDFILIMOVI         = :CDFILIAL)
				  AND (C.CDALMOXARIFE         = :CDALMOXARIFE)
				  AND (C.CDLOCALESTOQ         = :CDLOCALESTOQ)
				  AND (C.NRLOTEESTQ           = :NRLOTEESTQ)
				  AND (C.NRSUBLOTE            = :NRSUBLOTE)
				  AND (((C.IDTIPOMOVI        <> '0')
				  AND (C.IDTIPOMOVI          <> '1'))
				  OR (:IDTIPOMOVI             = 'T'))
				  AND (C.CDPRODMOVI           = :CDPRODMOVI)
				  AND (NVL(C.IDEVOLESTOQ,'S') = 'S')
				  AND C.NRORG = :NRORG
				  )B
				WHERE (A.CDFILIMOVI         = :CDFILIAL)
				AND (A.CDALMOXARIFE         = :CDALMOXARIFE)
				AND (A.CDLOCALESTOQ         = :CDLOCALESTOQ)
				AND (A.NRLOTEESTQ           = :NRLOTEESTQ)
				AND (A.NRSUBLOTE            = :NRSUBLOTE)
				AND (((A.IDTIPOMOVI        <> '0')
				AND (A.IDTIPOMOVI          <> '1'))
				OR (:IDTIPOMOVI             = 'T'))
				AND (A.CDPRODMOVI           = :CDPRODMOVI)
				AND (NVL(A.IDEVOLESTOQ,'S') = 'S')
				AND A.DTLANCMOVI            = B.DTLANCMOVI
				AND A.DTLANCMOVI <= :DTLIMITE
				AND A.NRORG = :NRORG
				GROUP BY A.CDFILIAL,
				  A.DTLANCMOVI,
				  A.IDTIPOMOVI";

        $params = array('CDFILIAL'=>$cdfilial,
        				'CDALMOXARIFE'=>$cdalmoxarife,
        				'CDLOCALESTOQ'=>$cdlocalestoq,
        				'NRLOTEESTQ'=>$nrloteestq,
        				'NRSUBLOTE'=>$nrsublote,
        				'IDTIPOMOVI'=>$idtipomovi,
        				'CDPRODMOVI'=>$cdproduto,
        				'NRORG'=>$nrorg,
        				'DTLIMITE'=>$dtlimite
        				);

        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }

    public function getDataProcess($cdfilial, $nrorg){
    	$sql = "SELECT DECODE(PG.IDUTILDTPROC,'S',DECODE(PF.DTPROCESSA, NULL, TO_CHAR(SYSDATE,'DD/MM/YYYY'),TO_CHAR(PF.DTPROCESSA,'DD/MM/YYYY')),TO_CHAR(SYSDATE,'DD/MM/YYYY')) AS DTPROCESSA
				FROM PARAMGERAL PG, PARAMFILIAL PF
				WHERE PG.CDPARGERAL = '0001'
				  AND PF.CDFILIAL     = :CDFILIAL
				  AND PF.NRORG        = PG.NRORG
				  AND PF.NRORG = :NRORG";

		$params = array('CDFILIAL'=>$cdfilial,
        				'NRORG'=>$nrorg
        				);

        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }


}