<?php
/**
 * Created by PhpStorm.
 * User: rafaelpickbrenner
 * Date: 20/01/14
 * Time: 15:49
 */

namespace Folha\Facade\Relatorios;


class Ferias {
    /**
     * Verifica se os fields estão corretamente preenchidos de acordo com o relatório selecionado
     * pck 17/01/2013
     */
    public static function verificaFields(){
        switch(tk_get_field_value('REPORT_NAME')) {  //Nome do relatório
            case '':    //Nenhum relatório selecionado
                tk_abort('Nenhum relatório selecionado.');
                break;
            case 'recibo_ferias':
                if(tk_get_field_value('NRVINCULO') == null || tk_get_field_value('DATADOCUMENTO') == null)
                    tk_abort('É necessário selecionar um Vínculo e informar uma data para o Recibo de Férias');
                break;
            case 'medias_ferias':
                if(tk_get_field_value('DATAINICIO') == null || tk_get_field_value('DATAFINAL') == null || tk_get_field_value('TIPOMOVIMENTO') == null)
                    tk_abort('É necessário informar as datas de Inicio e Fim do Período de Gozo de férias e o tipo de Movimento para emitir este relatório');
                break;
            case 'aviso_previo_ferias':
                if(tk_get_field_value('DATAINICIO') == null || tk_get_field_value('DATAFINAL') == null || tk_get_field_value('DATADOCUMENTO') == null)
                    tk_abort('É necessário informar as datas de Inicio e Fim do Período de Gozo de férias e a data do Aviso Prévio de Férias');
                break;
            //Não possue parâmetros obrigatórios
            case 'previsao_ferias':
            case 'faltas_periodo_aquisicao':
                break;
            default:
                tk_abort('Este relatório não está integrado');
        }
    }
} 